﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace pr91_2
{
    // Описание класса:
    class MyClass
    {
        // Закрытые поля:
        private char symb; // Символьное
        private string txt; // Текстовое
        
        // Конструкторы:
        
        // С одним символым аргументом
        public MyClass(char s)
        {
            symb = s;
        }

        // С одним строковым аргументом:
        public MyClass(string t)
        {
            txt = t;
        }

        // С символьным массивом:
        public MyClass(char[] c)
        {
            // Проверка на количество символов в массиве
            if (c.Length == 1)
                symb = c[0];
            else
            {
                // Формирование строки:
                txt = "";
                for (int k = 0; k < c.Length; k++)
                {
                    txt += c[k];
                }
            }
        }

        // Возврат символьного поля:
        public char ret_c()
        {
            return symb;
        }

        // Возврат строкового поля:
        public string ret_txt()
        {
            return txt;
        }
    }

    class Program
    {
        static void Main()
        {
            char[] Mass1 = { 'a', 'b', 'c' };
            char[] Mass2 = { 'd' };
            MyClass A = new MyClass('A'); 
            Console.WriteLine("Вызван конструктор с одним символьным параметром: {0}", A.ret_c());
            MyClass B = new MyClass("Строка");
            Console.WriteLine("Вызван конструктор с одним строковым параметром: {0}", B.ret_txt());
            MyClass C = new MyClass(Mass1);
            Console.WriteLine("Вызван конструктор с массивом из более одного элемента: {0}", C.ret_txt());
            MyClass D = new MyClass(Mass2);
            Console.WriteLine("Вызван конструктор с массивом из одного элемента: {0}", D.ret_c());
            // Задержка:
            Console.ReadLine();
        }
    }
}
